Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231829 - [Anaconda Custom Installation] Block device for the CDROM unavailable for the postinst operation
Summary: [Anaconda Custom Installation] Block device for the CDROM unavailable for the...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-12 12:53 UTC by Olivier BONHOMME
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-23 18:25:30 UTC


Attachments (Terms of Use)

Description Olivier BONHOMME 2007-03-12 12:53:53 UTC
Description of problem:

When the CD-ROM is mounted in the beginning of the installation, the block
device is deleted in the /tmp directory. Then, it is impossible to mount again
the CD-ROM while the postinst stage.

Version-Release number of selected component (if applicable):

Fedora Core 6 - Anaconda 11

How reproducible:

Making a custom installer and try to access the CD-ROM from a shell while the
installation

Steps to Reproduce:
1. Make a custom installer using buildinstall from anaconda-runtime package.
2. Burn an iso image
3. Try to install the system
4 .When anaconda is started (after the CD-ROM detection), open a shell and list
the /tmp directory
  
Actual results:

The /tmp/cdrom device is not present.

Expected results:

The /tmp/cdrom should be already present.

Additional info:

N/A

Comment 1 Jeremy Katz 2007-03-23 18:25:30 UTC
It's mountable, but you have to find and mount the actual device node.  This is
intentional

Comment 2 Olivier BONHOMME 2007-03-28 13:49:21 UTC
(In reply to comment #1)
> It's mountable, but you have to find and mount the actual device n

Do you mean by looking in the /proc filesystem ? (That's the way I did)

Anyway, I think that this case should be documented in the official anaconda
documentation. On all documentations I found, people suppose that the device
node is still available


Note You need to log in before you can comment on or make changes to this bug.